﻿using System;
using System.Diagnostics;
using System.Windows;
using System.Windows.Data;
using System.Windows.Input;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using Telerik.Charting;
using Telerik.Windows.Controls;

namespace PhoneApp3
{
    public partial class MainPage : PhoneApplicationPage
    {
        public MainPage()
        {
            this.InitializeComponent();

            this.chart.Series[0].ItemsSource = new TestosteroneData[]
            {
                new TestosteroneData() { Value = 25, Day = new DateTime(2013, 5, 15) },
                new TestosteroneData() { Value = 22, Day = new DateTime(2013, 5, 16) },
                new TestosteroneData() { Value = 20, Day = new DateTime(2013, 5, 17) },
                new TestosteroneData() { Value = 17, Day = new DateTime(2013, 5, 18) },
                new TestosteroneData() { Value = 14, Day = new DateTime(2013, 5, 19) },
                new TestosteroneData() { Value = 12, Day = new DateTime(2013, 5, 20) },
                new TestosteroneData() { Value = 9, Day = new DateTime(2013, 5, 21) },
                new TestosteroneData() { Value = 7, Day = new DateTime(2013, 5, 22) },
                new TestosteroneData() { Value = 5, Day = new DateTime(2013, 5, 23) },
                new TestosteroneData() { Value = 3, Day = new DateTime(2013, 5, 24) },
                new TestosteroneData() { Value = 2.5, Day = new DateTime(2013, 5, 25) }
            };
        }
    }

    public class TestosteroneData
    {
        public double Value
        {
            get;
            set;
        }

        public DateTime Day
        {
            get;
            set;
        }
    }
}